BSON_ITER_VISIT_ALL(3)

NAME
bson_iter_visit_all - bson_iter_visit_all()

SYNOPSIS

bool
bson_iter_visit_all (bson_iter_t *iter,
                     const bson_visitor_t *visitor,
                     void *data);

PARAMETERS

•   iter: A bson_iter_t.

•   visitor: A bson_visitor_t.

•   data: Optional data for visitor.

DESCRIPTION

A convenience function to iterate all remaining fields of iter using the callback vtable provided by visitor.

RETURNS

Returns true if visitation was prematurely stopped by a callback function. Returns false either because all elements were visited or due to corrupt BSON.

See bson_visitor_t for examples of how to set your own callbacks to provide information about the location of corrupt or unsupported BSON document entries.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc